Get transaction history

/v4/data/transaction/history

20 credits per API call

Get transaction history on the following blockchains:

  • Ethereum - ethereum-mainnet / ethereum-sepolia
  • Base - base-mainnet / base-sepolia
  • Arbitrum - arb-one-mainnet / arb-testnet
  • BNB (Binance) Smart Chain - bsc-mainnet / bsc-testnet
  • Polygon - polygon-mainnet / polygon-amoy
  • Optimism - optimism-mainnet / optimism-testnet
  • Berachain - berachain-mainnet
  • Unichain - unichain-mainnet / unichain-sepolia
  • Monad - monad-mainnet / monad-testnet
  • Celo - celo-mainnet
  • Chiliz - chiliz-mainnet
  • Tezos - tezos-mainnet
  • Moca Chain - mocachain-devnet

To get started:

  • Provide a chain name and an address of that chain. Our API will return all of their transactions along with further information such as their block number, ID of involved token, and more.
  • If not specified, the API returns transactions of various types (fungible, nft, multitoken, native), but you can also choose to filter specific transactionTypes and even transactionSubtype (incoming, outgoing, zero-transfer).
  • On top of that, you can add further filters such as specifying block range where the transactions should have occurred, or address and ID of involved tokens.
  • When you are filtering data using blockFrom and not using blockTo, blockTo is automatically added as blockFrom + 1000. The same applies when blockTo is present and blockFrom is not. In that case blockFrom is automatically added as blockTo - 1000.
  • For Tezos blockchain, the API accepts only one wallet address in addresses query parameter. Following query parameters won't have any effect on filtering data: transactionTypes, transactionSubtype, tokenId, blockTo.
  • When querying Tezos transactions for a specified wallet or contract address, pagination is supported via pageSize and offset query parameters.
  • When querying Tezos transactions for a specified block, pagination is supported via cursor query parameter, by filling in the value from prevPage or nextPage field in the response body.
  • If a wallet has more than 250 transactions, we strongly recommend using the transactionTypes filter with only one value at a time. This is mandatory to ensure reliable, accurate, and high-quality responses.
Query Params
string
enum
required

The blockchain to work with.

string

The blockchain public wallet addresses. Only one address is allowed.

string
enum

The option to filter transaction based on types. It is possible to enter list of multiple types as a comma separated string. Use fungible (ERC-20), nft (ERC-721 and ERC-1155), multitoken (ERC-1155) or native.

Allowed:
string
enum

The option to filter transaction based on subtype.

Allowed:
string

Address of a token (smart contract).

string
length ≤ 78

ID of a token.

number
≥ 0

Transactions from this block onwards will be included. If blockTo is not specified, it is automatically calculated as blockFrom + 1000.

number
≥ 0

Transactions up to this block will be included. If blockFrom is not specified, it is automatically calculated as blockTo - 1000.

number
1 to 50

The number of items per page (default is 50).

number

The offset to obtain next page of the data.

string

The cursor to obtain previous page or next page of the data. Available only for Tezos blockchain.

string
enum
Defaults to DESC

Sorting of the transactions. ASC - oldest first, DESC - newest first.

Allowed:
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json